petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscObjectStateIncrease

Increases the state of any PetscObject

### Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectStateIncrease(PetscObject obj)

Logically Collective Many br

### Input Parameter

obj -any PETSc object, for example a Vec, Mat or KSP. This must be Many brcast with a (PetscObject), for example, Many brPetscObjectStateIncrease((PetscObject)mat); Many br

Notes: object state is an integer which gets increased every time Many brthe object is changed internally. By saving and later querying the object state Many brone can determine whether information about the object is still current. Many brCurrently, state is maintained for Vec and Mat objects. Many br

This routine is mostly for internal use by PETSc; a developer need only Many brcall it after explicit access to an object's internals. Routines such Many bras VecSet() or MatScale() already call this routine. It is also called, as a Many brprecaution, in VecRestoreArray(), MatRestoreRow(), MatDenseRestoreArray(). Many br

This routine is logically collective because state equality comparison needs to be possible without communication. Many br

Many br

seealso: PetscObjectStateGet() Many br

Level:developer
Location:include/petsc/private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages